import { IClassDiagramOptions } from "../classDiagramOptions";
import * as uml from "../uml/index";
import { AbstractFormatter } from "./formatter";
/**
 * yUML Formatter
 *
 * https://yuml.me/diagram/scruffy/class/samples
 *
 * @export
 * @class Formatter
 * @extends {AbstractFormatter}
 */
export declare class Formatter extends AbstractFormatter {
    private _outputtedNodes;
    constructor(options: IClassDiagramOptions);
    generateClassDiagram(umlCodeModel: uml.CodeModel): string;
    private _formatNode(node);
    private _formatProperties(node);
    private _formatVariable(variable);
    private _formatMethod(method);
    private _formatAccessibility(accessibility);
    private _replaceSpecialCharacters(value);
}
