"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Abstract type specification class
 *
 * @export
 * @abstract
 * @class Type
 */
class Type {
    /**
     * Type element full text
     *
     * @type {string}
     * @memberOf Type
     */
    get text() {
        return this._text;
    }
    set text(value) {
        this._text = value;
    }
    /**
     * Type name
     *
     * @type {string}
     * @memberOf Type
     */
    get name() {
        return this._name;
    }
    set name(value) {
        this._name = value;
    }
    /**
     * Creates an instance of Type.
     * @param {string} text Type element full text
     *
     * @memberOf Type
     */
    constructor(text) {
        this._text = text;
        this._name = text;
    }
}
exports.Type = Type;
