"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const type_1 = require("./type");
var UnionOrIntersectionTypeKind;
(function (UnionOrIntersectionTypeKind) {
    UnionOrIntersectionTypeKind[UnionOrIntersectionTypeKind["Union"] = 100] = "Union";
    UnionOrIntersectionTypeKind[UnionOrIntersectionTypeKind["Intersection"] = 101] = "Intersection";
})(UnionOrIntersectionTypeKind = exports.UnionOrIntersectionTypeKind || (exports.UnionOrIntersectionTypeKind = {}));
/**
 * Union or intersection type specification
 *
 * @export
 * @class UnionOrIntersectionType
 * @extends {Type}
 */
class UnionOrIntersectionType extends type_1.Type {
    /**
     * Identify the type as Union or Intersection type
     *
     * @type {UnionOrIntersectionTypeKind}
     * @memberOf UnionOrIntersectionType
     */
    get kind() {
        return this._kind;
    }
    set kind(value) {
        this._kind = value;
    }
    /**
     * Array of type specifications for the union or intersection
     *
     * @type {Type[]}
     * @memberOf UnionOrIntersectionType
     */
    get types() {
        return this._types;
    }
    set types(value) {
        this._types = value;
    }
    constructor(text, kind) {
        super(text);
        this._kind = kind;
        this._types = [];
    }
}
exports.UnionOrIntersectionType = UnionOrIntersectionType;
