"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const property_1 = require("./property");
/**
 * Member variable property declaration
 *
 * @export
 * @class VariableProperty
 * @extends {Property}
 */
class VariableProperty extends property_1.Property {
    /**
     * Type of the variable
     *
     * @type {Type}
     * @memberOf VariableProperty
     */
    get type() {
        return this._type;
    }
    set type(value) {
        this._type = value;
    }
    /**
     * Creates an instance of VariableProperty.
     * @param {string} identifier Variable identifier
     * @param {Accessibility} accessibility Member accessibility
     * @param {Type} type Type of the variableÎ
     *
     * @memberOf VariableProperty
     */
    constructor(identifier, accessibility, type, stereotype = 0 /* None */) {
        super(identifier, accessibility, stereotype);
        this._type = type;
    }
}
exports.VariableProperty = VariableProperty;
